import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.TextBox;
import javax.microedition.lcdui.TextField;

public class JumpForm extends TextBox implements CommandListener {
	Controller controller;
	Command goCommand;
	
	public JumpForm(Controller c) {
		super("Jump to...", "", 2, TextField.ANY);
		controller = c;
		setCommandListener(this);
		
		goCommand = new Command("Go", "Go", Command.ITEM, 1);
		addCommand(goCommand);
	}
	
	public void commandAction(Command cmd, Displayable d) {
		if (cmd == goCommand) {
			controller.showBrowser(false);
			controller.browseForm.jumpTo(this.getString());
		}
	}
}